# 45. Mutation: Spara användardata

Mutation för att ställa in användarkontots inställningar. Mutationen sätter endast de begärda attributen.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveUserDataSample {
  saveUserData(
    input: {
      language: sv
      areaUnit: tunnland
      soilDatasetClassesAmount: 6
    }
  ) {
    uuid
    email
    areaUnit
    språk
    soilDatasetClassesAmount
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/45.-mutation-spara-anvandardata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
